// optim
#include <eikapp.h>
#include <e32base.h>
#include <sdlapp.h>
#include <eikenv.h>
#include <eikappui.h>
#include <eikapp.h>
#include <string.h>
#include <unistd.h>
extern "C"
{
#include "vsnprintf.h"
}
class CSymbianApp : public CSDLApp {
public:
	CSymbianApp();
	~CSymbianApp();
#if defined (UIQ3)
	/**
	 * Returns the resource id to be used to declare the views supported by this UIQ3 app
	 * @return TInt, resource id
	 */
	TInt ViewResourceId();
#endif
	TUid AppDllUid() const;
	void PreInitializeAppL()
		{
		char resourcedir[64] ="c:\\resource\\apps\\stransball2\\";
		resourcedir[0] = CEikonEnv::Static()->EikAppUi()->Application()->BitmapStoreName()[0];
		chdir(resourcedir);
		}

};




#ifdef EPOC_AS_APP

// this function is called automatically by the SymbianOS to deliver the new CApaApplication object
#if !defined (UIQ3) && !defined (S60V3)
EXPORT_C 
#endif
CApaApplication* NewApplication() {
	return new CSymbianApp;
}

#if defined (UIQ3) || defined (S60V3)
#include <eikstart.h>
// E32Main() contains the program's start up code, the entry point for an EXE.
GLDEF_C TInt E32Main() {
 	return EikStart::RunApplication(NewApplication);
}
#endif

#endif // EPOC_AS_APP

#if !defined (UIQ3) && !defined (S60V3)
GLDEF_C  TInt E32Dll(TDllReason) {
	return KErrNone;
}
#endif

CSymbianApp::CSymbianApp() {
}

CSymbianApp::~CSymbianApp() {
}

#if defined (UIQ3)
#include <stransball2.rsg>
/**
 * Returns the resource id to be used to declare the views supported by this UIQ3 app
 * @return TInt, resource id
 */
TInt CSymbianApp::ViewResourceId() {
	return R_SDL_VIEW_UI_CONFIGURATIONS;
}
#endif

/**
 *   Responsible for returning the unique UID of this application
 * @return unique UID for this application in a TUid
 **/
TUid CSymbianApp::AppDllUid() const {
	return TUid::Uid(0xA000A012);
}


/////////////////////////////////////////////////////////////////////////////////////////////////


